The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от opennews (?), 16-Сен-09, 23:44 
Вышла (http://www.openkomodo.com/blogs/toddw/komodo-520-has-been-re... версия 5.2.0 интегрированной среды разработки Activestate Komodo, построенной на основе технологий Mozilla (XUL-интерпретатор из состава Firefox 3). Komodo поддерживает языки PHP, Python, Ruby, Perl, Tcl, JavaScript, CSS, HTML. В версии 5.2.0 произошли следующие изменения (http://community.activestate.com/komodo-52-features):


-  Увеличение производительности отладчика регулярных выражений Rx Toolkit и поиска
-  Добавлена поддержка php 5.3 (автодополнение, подсветка синтаксиса и т.д.)
-  Возможность изменять цвет фона вторичного языка (например, изменить цвет фона javascript внутри HTML документа)
-  Поддержка сторонних утилит для поиска отличий в файлах (diff)
-  Возможность изменения прав доступа для сетевых файлов


Komodo существует в двух вариантах: платный Komodo IDE (http://www.activestate.com/komodo/) и бесплатный Komodo Edit (http://www.activestate.com/komodo_edit/), основанный на репозитори...

URL: http://www.openkomodo.com/blogs/toddw/komodo-520-has-been-re...
Новость: http://www.opennet.ru/opennews/art.shtml?num=23453

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  –2 +/
Сообщение от 0day (?), 16-Сен-09, 23:44 
Гуглим

ActiveState.Komodo.IDE.v5.2.0.33832.for.Linux.libcpp6-BEAN
ActiveState.Komodo.IDE.v5.2.0.33832.for.Linux.libcpp6.x64-BEAN
ActiveState.Komodo.IDE.v5.2.0.33832.for.Windows-BEAN

и качаем

Ответить | Правка | Наверх | Cообщить модератору

2. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +2 +/
Сообщение от аноним (?), 16-Сен-09, 23:46 
Нет уж, давайте вы как нибудь сами. Нам такое не нужно.
Ответить | Правка | Наверх | Cообщить модератору

3. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от 0day (?), 16-Сен-09, 23:57 
Лично мне тоже не нужно (emacs рулит). А у вас какая причина? Надеюсь вы не копираст.
Ответить | Правка | Наверх | Cообщить модератору

4. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от Igor Novikov (?), 17-Сен-09, 03:13 
ну емакс рулит выборочно и далеко не везде. А относительно сабжа - оно кривое и падучее шоппц. По большому счету - это firefox поверх которого нахлобучили IDE. Сливает перед эклипсом на все 100%.
Ответить | Правка | Наверх | Cообщить модератору

6. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от аноним (?), 17-Сен-09, 04:21 
>относительно сабжа - оно кривое и падучее шоппц

долгое время юзал 5.1.3
ни единого разр^W падения

>По большому счету - это firefox поверх которого нахлобучили IDE

ваши фантазии повергают меня в уныние

>Сливает перед эклипсом на все 100%

ещё неизвестно, кто перед кем сливает. эклипс на порядок тормознее и неудобен в работе.
комодо заточен на конкретные вещи и делает их _хорошо_

Ответить | Правка | Наверх | Cообщить модератору

7. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от Igor Novikov (?), 17-Сен-09, 04:33 
>долгое время юзал 5.1.3
>ни единого разр^W падения
>ваши фантазии повергают меня в уныние

В 4й ветке IDE была связка с FF/ В результате запускалось через пень-колоду на Мандриве и падало как звезды лягут.

>ещё неизвестно, кто перед кем сливает. эклипс на порядок тормознее и неудобен
>в работе.

Только что скачал Komodo editor (типа ядро для Komode IDE)... В каком-то ракурсе после кастомизации его можно использовать как замену Kate (в MDV2009.1 проблемы с Kate из-за смеси 3х и 4х кед). Но при этом на Core2Quad оно умудряется подтормаживать. Эклипс работает существенно быстрее при большем функционале.


Ответить | Правка | Наверх | Cообщить модератору

9. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  –2 +/
Сообщение от аноним (?), 17-Сен-09, 05:00 
>В 4й ветке IDE была связка с FF/ В результате
>запускалось через пень-колоду на Мандриве и падало как звезды лягут

windows-версия стабильна. степень кривости linux-порта мне неизвестна, и скорее всего, по традиции, велика

Ответить | Правка | Наверх | Cообщить модератору

15. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от Igor Novikov (?), 17-Сен-09, 16:31 
>степень кривости linux-порта мне неизвестна, и скорее всего, по традиции, велика

Гы... действительно, Gtk+mozilla chrome+python - это ж совершенно чуждые компонетны для юникс-платформ, разве они подходят для стабильного приложения??? :))) А может все-тки руки у комодщиков не того радиуса и не туда заточены?

Ответить | Правка | Наверх | Cообщить модератору

16. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от аноним (?), 17-Сен-09, 16:37 
>может все-тки руки у комодщиков не того радиуса и не туда заточены?

всё может быть

Ответить | Правка | Наверх | Cообщить модератору

8. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от Igor Novikov (?), 17-Сен-09, 04:38 
>>По большому счету - это firefox поверх которого нахлобучили IDE
>
>ваши фантазии повергают меня в уныние

И в данной реинкарнации внутрях Комода торчит мозилльский хром: lib/mozilla/chrome/...

Ответить | Правка | К родителю #6 | Наверх | Cообщить модератору

11. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от IGX (?), 17-Сен-09, 13:39 
emacs давно уже совсем даже не рулит
Ответить | Правка | К родителю #3 | Наверх | Cообщить модератору

12. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от Thornemail (??), 17-Сен-09, 15:25 
У меня виндовая версия валится сразу при старте. Есть ещё прецеденты?
Ответить | Правка | Наверх | Cообщить модератору

13. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от XoRe (ok), 17-Сен-09, 16:04 
>У меня виндовая версия валится сразу при старте. Есть ещё прецеденты?

Вы не через wine запускаете?)

Ответить | Правка | Наверх | Cообщить модератору

14. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от Thornemail (??), 17-Сен-09, 16:16 
>Вы не через wine запускаете?)

Спасибо, юмор оценил. :)
Нет, в обычной Икспе. Даже окошка не видно, сразу вылетает ошибка и предложение растартить ИДЕ.

Ответить | Правка | Наверх | Cообщить модератору

17. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от XoRe (ok), 17-Сен-09, 17:40 
>>Вы не через wine запускаете?)
>
>Спасибо, юмор оценил. :)
>Нет, в обычной Икспе. Даже окошка не видно, сразу вылетает ошибка и
>предложение растартить ИДЕ.

Тогда это странновато - чтобы из коробки сразу валилось.
Отсюда и предположение про wine)

Я бы порекомендовал отослать crash report про это.
Мало ли, мож bug коварный в релиз пробрался)

Ответить | Правка | Наверх | Cообщить модератору
Часть нити удалена модератором

20. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от A.А.А. (?), 17-Сен-09, 19:21 
у меня такое было после установки новой версии поверх старой - удалил, поставил заново - ок
Ответить | Правка | К родителю #6 | Наверх | Cообщить модератору

21. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от croster (ok), 17-Сен-09, 23:37 
Да, совершенно правильно подмечено - старую версию лучше полностью удалить, тогда и глюков не будет.
Ответить | Правка | Наверх | Cообщить модератору

23. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от Thornemail (??), 18-Сен-09, 11:08 
Спасибо за советы, ребят! Да, действительно заработало (на другой, чистой машине). Но всё равно не обошлось без глюка - после инсталляции запустил программу, она тихо померла. Запустил ещё раз - всё заработало. Определённо, индусская химия.
Ответить | Правка | Наверх | Cообщить модератору

18. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от graitemail (?), 17-Сен-09, 17:52 
Мне пока netbeans для ruby хватает, хотя чем больше тем лучше ))))
Ответить | Правка | Наверх | Cообщить модератору

22. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от bliss (?), 18-Сен-09, 02:01 
Постоянно пользуюсь Komodo Edit (5.1) на текущий момент. Ну падал раз 5. За год :) Вообще очень интересна для бесплатных приложений. И не сильно тормозит. На Бартоне + 512МБ РАМ нормально можно работать :)
Ответить | Правка | Наверх | Cообщить модератору

24. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от Nas_tradamusemail (ok), 19-Сен-09, 14:30 
Юзаю для скриптов (PHP/Perl/Shell) PHP Expert Editor - для русскоязычных он бесплатен.
Кто-нибудь юзал и его и Komodo Edit?
Ответить | Правка | Наверх | Cообщить модератору

25. "Komodo 5.2.0 - кроссплатформенная многоязыковая IDE"  +/
Сообщение от Stasemail (??), 04-Июн-21, 15:33 
Я фанат Codelobster-а - http://www.codelobster.com
Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру